<div class="modal-content">
    <div class="modal-header">
        <button type="button" class="close" ng-click="$dismiss()" aria-label="Close">
            <em class="ion-ios-close-empty sn-link-close"></em>
        </button>
        <div class="modal-title">
            <h3 class="modal-title">{{title}}</h3>
        </div>
    </div>
    <div class="modal-body">
        <div class="add-row-editable-table">
            <button type="button" class="btn btn-info btn-with-icon" ng-click="addType()">
                <i class="ion-plus"></i>Dodaj
            </button>
        </div>
        <uib-tabset class="mat-type-pref" active="activeTab" ng-if="list.elements.length">
            <uib-tab index="element.id" heading="{{element.data.name}}" ng-repeat="element in list.elements">
                <form ng-if="element.id === activeTab" novalidate class="form-horizontal" name="{{'stockTypePreferenceForm[' + $index + ']'}}">
                    <formly-form model="element.tempData" ng-init="element.updateTemp()"
                                 fields="stockTypePreferenceFields"
                                 form="stockTypePreferenceForm[$index]">
                        <div class="form-group">
                            <div class="text-center">
                                <button type="submit" class="btn btn-primary"
                                        ng-click="updateType(element, stockTypePreferenceForm[$index])">Zapisz
                                </button>
                                <button type="button" class="btn btn-default btn-with-icon"
                                        ng-click="removeType(element)"><i class="ion-trash-b"></i>Usuń
                                </button>
                            </div>
                        </div>
                    </formly-form>
                </form>
            </uib-tab>
        </uib-tabset>
    </div>
</div>
